#pragma once
#if defined(__unix__) || defined(__APPLE__)

#include "Participants/ParticipantMQTT.h"

namespace RoboidControl {

class MQTTParticipant : public MQTTParticipantBase {
public:
    MQTTParticipant(const char* ipAddress, int port = 1883);
 protected:
   void SetupTCP() override;

   void SendTCP(int bufferSize) override;

#if defined(__unix__) || defined(__APPLE__)
  sockaddr_in remote_addr;
#endif

};

}
#endif